{include file='modules/servers/puqJellyfinFamily/templates/header.tpl'}
<h2>{$service->lang['Management Media account']}</h2>
<form method="post"
      action="/clientarea.php?action=productdetails&id={$service->service_id}&action_m=edit_media_account&name={$account['Name']}">

    <div class="row">
        <div class="col-md-12">
            <table class="table table-list dataTable no-footer" style="table-layout: fixed;">
                <tr>
                    <td>
                        <b><i class="fa fa-toggle-on"></i>&nbsp;&nbsp;{$service->lang['Enabled']}:</b>
                    </td>
                    <td>
                        <input {if $account['Policy']['IsDisabled'] neq '1'} checked {/if} type="checkbox"
                                                                                           name="enabled"
                                                                                           value="on" id="enabled">
                    </td>
                </tr>
                <tr>
                    <td><i class="fa fa-user"></i>&nbsp;&nbsp;<b>{$service->lang['Username']}:</b></td>
                    <td>
                        <div class="input-group margin-bottom-5">
                            <input id="username" type="hidden" name="username" value="{$account['Name']}">
                            <input type="text" name="username" class="form-control"
                                   value="{$account['Name']}" placeholder="{$service->lang['Enter username']}" disabled>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td><i class="fa fa-lock"></i>&nbsp;&nbsp;<b>{$service->lang['Password']}:</b></td>
                    <td>
                        <div class="input-group margin-bottom-5">
                            <input class="form-control" type="text" name="password" id="password"
                                   value="{$account['password']}" placeholder="{$service->lang['Enter password']}"/required>
                            <button type="button" id="input-generate" class="btn btn-primary"><i class="fa fa-dice">&nbsp;&nbsp;</i>{$service->lang['Generate']}
                            </button>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td><i class="fa fa-address-book"></i>&nbsp;&nbsp;<b>{$service->lang['Disable libraries']}:</b></td>
                    <td>
                        <select id="disabled_libraries" name="disabled_libraries[]" multiple class="form-control">
                            {foreach $user_libraries as $value}
                                <option value="{$value['Id']}"
                                        {if isset($account['account_libraries']) and !in_array($value['Id'], $account['account_libraries'])}selected{elseif !isset($account['account_libraries'])}selected{/if}>{$value['Name']}</option>
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr>
                    <div class="col-sm">
                        <button onclick="return EditMediaAccount();" type="submit" class="btn btn-success"
                                name="edit_media_account"
                                value="edit_media_account">{$service->lang['Save Changes']}
                        </button>
                        <a style="color: #fff;" onclick="return DeleteMediaAccount();" class="btn btn-danger"
                           href='/clientarea.php?action=productdetails&id={$service->service_id}&action_m=edit_media_account&delete={$account['Name']}'>{$service->lang['Delete Media account']}</a>
                    </div>
                </tr>
            </table>
            {include file='modules/servers/puqJellyfinFamily/templates/account_devices.tpl'}
        </div>
    </div>
</form>

<script>
    $("#input-generate").click(function () {
        $("#password").val(generatePassword());
        return false;
    });

    function generatePassword() {
        var length = 12,
            charset = "123456789ABCDEFGHJKMNPQRSTUVWXYZabcdefghjkmnpqrstuvwxyz";
        if (window.crypto && window.crypto.getRandomValues) {
            return Array(length)
                .fill(charset)
                .map(x => x[Math.floor(crypto.getRandomValues(new Uint32Array(1))[0] / (0xffffffff + 1) * (x.length + 1))])
                .join('');
        } else {
            res = '';
            for (var i = 0, n = charset.length; i < length; ++i) {
                res += charset.charAt(Math.floor(Math.random() * n));
            }
            return res;
        }
    }
</script>
<script type="text/javascript">
    function EditMediaAccount() {
        var username = document.getElementById('username').value;
        var password = document.getElementById('password').value;
        var selectedLibraries = [];
        var disabledLibrariesSelect = document.getElementById('disabled_libraries');
        var disabledLibrariesOptions = disabledLibrariesSelect && disabledLibrariesSelect.selectedOptions;

        for (var i = 0; i < disabledLibrariesOptions.length; i++) {
            selectedLibraries.push(disabledLibrariesOptions[i].value);
        }

        if (username === '' || password === '' || selectedLibraries.length === 0) {
            return true
        } else {
            loading();
            return true
        }
    }

    function DeleteMediaAccount() {
        var username = document.getElementById('username').value;
        if (username === '') {
            return true;
        }
        result = confirm('{$service->lang['Are you sure?']}');
        if (result) {
            loading();
            return true
        } else {
            return false;
        }
    }

    function DropAccountDevices() {
        var username = document.getElementById('username').value;
        if (username === '') {
            return true;
        }
        result = confirm('{$service->lang['Are you sure?']}');
        if (result) {
            loading();
            return true
        } else {
            return false;
        }
    }

</script>